# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLBlockquoteElement Class Reference

??? See the BLOCKQUOTE element definition in HTML 4.0. More...

`#include <html_block.h>`

Inheritance diagram for DOM::HTMLBlockquoteElement:

[legend]
Collaboration diagram for DOM::HTMLBlockquoteElement:

[legend]
List of all members.

## Public Member Functions

| HTMLBlockquoteElement (const HTMLBlockquoteElement &other)
| HTMLBlockquoteElement (const Node &other)
HTMLBlockquoteElement & | operator= (const HTMLBlockquoteElement &other)
HTMLBlockquoteElement & | operator= (const Node &other)
DOMString | cite () const
void | setCite (const DOMString &)

## Protected Member Functions

| HTMLBlockquoteElement (HTMLElementImpl *impl)

## Detailed Description

??? See the BLOCKQUOTE element definition in HTML 4.0.

Definition at line 50 of file html_block.h.

## Member Function Documentation

DOMString HTMLBlockquoteElement::cite | ( |  | ) | const

| A URI designating a document that describes the reason for the change. See the cite attribute definition in HTML 4.0. Definition at line 66 of file html_block.cpp.

void HTMLBlockquoteElement::setCite | ( | const DOMString & |  | ) |

| see cite Definition at line 72 of file html_block.cpp.

The documentation for this class was generated from the following files:

- html_block.h
- html_block.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:56 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003